- include_role:
    name: commons
    tasks_from: helpers/imagestream.yaml
  loop:
  - apache
  - authproxy
  - sabnzbd
  vars:
    is_name: "{{ item }}"
  when:
  - k8s_flavor == 'openshift'
- include_role:
    name: commons
    tasks_from: helpers/buildconfig.yaml
  vars:
    bc_basename: sabnzbd
    bc_cpu_limit: 200m
    bc_cpu_request: 200m
    bc_forcepull: "false"
    bc_fromimage: False
    bc_memory_limit: 1536Mi
    bc_memory_request: 1Gi
    bc_ref: "{{ sabnzbd_tag }}"
    bc_secret: "{{ sabnzbd_clone_secret | default(False) }}"
    bc_source: "{{ sabnzbd_image_source }}"
    bc_toimage: sabnzbd
    bc_tokind: ImageStreamTag
    bc_type: Docker
    bc_wait_complete: True
- include_role:
    name: commons
    tasks_from: baseimages/apache.yaml
- include_role:
    name: commons
    tasks_from: helpers/buildconfig.yaml
  vars:
    bc_basename: authproxy
    bc_cpu_limit: 300m
    bc_cpu_request: 200m
    bc_forcepull: "false"
    bc_fromimage: "apache:{{ apache_tag }}"
    bc_memory_limit: 1536Mi
    bc_memory_request: 1Gi
    bc_ref: "{{ authproxy_tag }}"
    bc_secret: "{{ authproxy_clone_secret | default(False) }}"
    bc_source: "{{ authproxy_image_source }}"
    bc_toimage: authproxy
    bc_tokind: ImageStreamTag
    bc_type: Docker
    bc_wait_complete: True
- block:
  - include_role:
      name: commons
      tasks_from: helpers/imagestream.yaml
    vars:
      is_name: sabexporter
    when:
    - k8s_flavor == 'openshift'
  - include_role:
      name: commons
      tasks_from: helpers/buildconfig.yaml
    vars:
      bc_basename: sabexporter
      bc_cpu_limit: 200m
      bc_cpu_request: 200m
      bc_forcepull: "false"
      bc_fromimage: False
      bc_memory_limit: 1536Mi
      bc_memory_request: 1Gi
      bc_ref: "{{ sabexporter_tag }}"
      bc_secret: "{{ sabexporter_clone_secret | default(False) }}"
      bc_source: "{{ sabexporter_image_source }}"
      bc_toimage: sabexporter
      bc_tokind: ImageStreamTag
      bc_type: Docker
      bc_wait_complete: True
  when:
  - do_exporters
- include_role:
    name: commons
    tasks_from: baseimages/sshd.yaml
  when:
  - do_backups
